<template>
  <form class="row" @submit.prevent="addPerson">
    <label class="col-4">
      <span class="form-label">Vorname</span>
      <input type="text" v-model="person.firstName" required class="form-control">
    </label>
    <label class="col-4">
      <span class="form-label">Nachname</span>
      <input type="text" v-model="person.lastName" required class="form-control">
    </label>
    <label class="col-4">
      <span class="form-label">Geburtsjahr</span>
      <input type="number" v-model.number="person.birthYear" required class="form-control">
    </label>
    <div class="col-12 pt-4">
      <button type="submit" class="btn btn-primary">Person hinzufügen</button>
    </div>
  </form>
</template>

<script setup>
  import { reactive } from 'vue'
  import { usePersonStore } from '@/stores/personStore'

  const personStore = usePersonStore()
  const person = reactive({
    firstName: '',
    lastName: '',
    birthYear: 1990
  })

  function addPerson() {
    personStore.persons.push({...person})
    person.firstName = ''
    person.lastName = ''
    person.birthYear = 1990
  }
</script>
